﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Tickets_ColorPicker_Colors_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <telerik:RadColorPicker ID="RadColorPicker1" runat="server" Width="400px" ShowEmptyColor="false"
        PreviewColor="false" Preset="None" Columns="18" PaletteModes="WebPalette">
        <telerik:ColorPickerItem Value="Red" Title="Red" />
        <telerik:ColorPickerItem Value="Black" Title="Black" />
        <telerik:ColorPickerItem Value="Blue" Title="Blue" />
    </telerik:RadColorPicker>
    
    <asp:HiddenField ID="sourceColorsField" runat="server" />
    
    <button onclick="Filter();return false;">Filter</button>
    <script type="text/javascript">
    function Filter()
    {
        var colorPicker = $find("<%= RadColorPicker2.ClientID %>");        
        var prevPalette = colorPicker._webPaletteWrapper;

        // Dispose the events.
        colorPicker._disposeHandlers();

        // Dispose the fields of the color picker.
		colorPicker._paletteSizes = {};
		colorPicker._webPaletteWrapper = null;
		colorPicker._selectedColor = null;
		
		// Dispose the HTML.   
        prevPalette.parentNode.removeChild(prevPalette);
        
        // Filter the colors.
        var sourceColors = eval($get("<%= sourceColorsField.ClientID %>").value);
        var newColors = [];
        for(var i=0, length=sourceColors.length; i<length; i++)
        {
            var color = sourceColors[i];
            var colorText = color.value;
            var colorTitle = color.title;
            
            // Apply a filter.
            if(colorText != "#000000")
            {
                newColors[newColors.length] = {value:colorText, title:colorTitle};
            }
        }
                
        // Create the UI.
        colorPicker._items = newColors;
        colorPicker._createPalette(colorPicker._webPalettePageView);
        colorPicker._initializeColorElementsArray();
        colorPicker._initializePalleteEventHandlers();
    } 
    </script>
    
    <telerik:RadColorPicker ID="RadColorPicker2" runat="server" Width="400px" ShowEmptyColor="false"
        PreviewColor="false" Preset="None" Columns="18" PaletteModes="WebPalette">
    </telerik:RadColorPicker>
    </form>
</body>
</html>
