﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Drawing;
using System.Web.Script.Serialization;

public partial class Tickets_ColorPicker_Colors_Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            List<Dictionary<string, string>> items = new List<Dictionary<string, string>>();
            ColorPickerItemCollection sourceItems = RadColorPicker1.Items;
            foreach (ColorPickerItem item in sourceItems)
            {
                Dictionary<string, string> parameters = new Dictionary<string, string>();
                Color color = item.Value;
                parameters["value"] = color.Equals(Color.Empty) ? String.Empty : String.Format("#{0:X2}{1:X2}{2:X2}", color.R, color.G, color.B);
                parameters["title"] = item.Title;
                items.Add(parameters);
            }

            JavaScriptSerializer jss = new JavaScriptSerializer();
            sourceColorsField.Value = jss.Serialize(items);
        }
    }
}
